OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.HalfFloat

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVHalfFloat :: MonadIO m => m Bool
- gl_NV_half_float :: Bool
- gl_HALF_FLOAT_NV :: GLenum
- glColor3hNV :: MonadIO m => GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glColor3hvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glColor4hNV :: MonadIO m => GLhalfNV -> GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glColor4hvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glFogCoordhNV :: MonadIO m => GLhalfNV -> m ()
- glFogCoordhvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glMultiTexCoord1hNV :: MonadIO m => GLenum -> GLhalfNV -> m ()
- glMultiTexCoord1hvNV :: MonadIO m => GLenum -> Ptr GLhalfNV -> m ()
- glMultiTexCoord2hNV :: MonadIO m => GLenum -> GLhalfNV -> GLhalfNV -> m ()
- glMultiTexCoord2hvNV :: MonadIO m => GLenum -> Ptr GLhalfNV -> m ()
- glMultiTexCoord3hNV :: MonadIO m => GLenum -> GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glMultiTexCoord3hvNV :: MonadIO m => GLenum -> Ptr GLhalfNV -> m ()
- glMultiTexCoord4hNV :: MonadIO m => GLenum -> GLhalfNV -> GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glMultiTexCoord4hvNV :: MonadIO m => GLenum -> Ptr GLhalfNV -> m ()
- glNormal3hNV :: MonadIO m => GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glNormal3hvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glSecondaryColor3hNV :: MonadIO m => GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glSecondaryColor3hvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glTexCoord1hNV :: MonadIO m => GLhalfNV -> m ()
- glTexCoord1hvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glTexCoord2hNV :: MonadIO m => GLhalfNV -> GLhalfNV -> m ()
- glTexCoord2hvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glTexCoord3hNV :: MonadIO m => GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glTexCoord3hvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glTexCoord4hNV :: MonadIO m => GLhalfNV -> GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glTexCoord4hvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glVertex2hNV :: MonadIO m => GLhalfNV -> GLhalfNV -> m ()
- glVertex2hvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glVertex3hNV :: MonadIO m => GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glVertex3hvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glVertex4hNV :: MonadIO m => GLhalfNV -> GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glVertex4hvNV :: MonadIO m => Ptr GLhalfNV -> m ()
- glVertexAttrib1hNV :: MonadIO m => GLuint -> GLhalfNV -> m ()
- glVertexAttrib1hvNV :: MonadIO m => GLuint -> Ptr GLhalfNV -> m ()
- glVertexAttrib2hNV :: MonadIO m => GLuint -> GLhalfNV -> GLhalfNV -> m ()
- glVertexAttrib2hvNV :: MonadIO m => GLuint -> Ptr GLhalfNV -> m ()
- glVertexAttrib3hNV :: MonadIO m => GLuint -> GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glVertexAttrib3hvNV :: MonadIO m => GLuint -> Ptr GLhalfNV -> m ()
- glVertexAttrib4hNV :: MonadIO m => GLuint -> GLhalfNV -> GLhalfNV -> GLhalfNV -> GLhalfNV -> m ()
- glVertexAttrib4hvNV :: MonadIO m => GLuint -> Ptr GLhalfNV -> m ()
- glVertexAttribs1hvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLhalfNV -> m ()
- glVertexAttribs2hvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLhalfNV -> m ()
- glVertexAttribs3hvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLhalfNV -> m ()
- glVertexAttribs4hvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLhalfNV -> m ()
- glVertexWeighthNV :: MonadIO m => GLhalfNV -> m ()
- glVertexWeighthvNV :: MonadIO m => Ptr GLhalfNV -> m ()

# Extension Support

glGetNVHalfFloat :: MonadIO m => m Bool

Is the NV_half_float extension supported?

gl_NV_half_float :: Bool

Is the NV_half_float extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVHalfFloat` in those cases instead.

# Enums

gl_HALF_FLOAT_NV :: GLenum

# Functions

glColor3hNV

Arguments

:: MonadIO m |
=> GLhalfNV | `red` of type `Half16NV`.
-> GLhalfNV | `green` of type `Half16NV`.
-> GLhalfNV | `blue` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glColor3hvNV`.

glColor3hvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `v` pointing to `3` elements of type `Half16NV`.
-> m () |

glColor4hNV

Arguments

:: MonadIO m |
=> GLhalfNV | `red` of type `Half16NV`.
-> GLhalfNV | `green` of type `Half16NV`.
-> GLhalfNV | `blue` of type `Half16NV`.
-> GLhalfNV | `alpha` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glColor4hvNV`.

glColor4hvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `v` pointing to `4` elements of type `Half16NV`.
-> m () |

glFogCoordhNV

Arguments

:: MonadIO m |
=> GLhalfNV | `fog` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glFogCoordhvNV`.

glFogCoordhvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `fog` pointing to `1` element of type `Half16NV`.
-> m () |

glMultiTexCoord1hNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `TextureUnit`.
-> GLhalfNV | `s` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord1hvNV`.

glMultiTexCoord1hvNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `TextureUnit`.
-> Ptr GLhalfNV | `v` pointing to `1` element of type `Half16NV`.
-> m () |

glMultiTexCoord2hNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `TextureUnit`.
-> GLhalfNV | `s` of type `Half16NV`.
-> GLhalfNV | `t` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord2hvNV`.

glMultiTexCoord2hvNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `TextureUnit`.
-> Ptr GLhalfNV | `v` pointing to `2` elements of type `Half16NV`.
-> m () |

glMultiTexCoord3hNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `TextureUnit`.
-> GLhalfNV | `s` of type `Half16NV`.
-> GLhalfNV | `t` of type `Half16NV`.
-> GLhalfNV | `r` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord3hvNV`.

glMultiTexCoord3hvNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `TextureUnit`.
-> Ptr GLhalfNV | `v` pointing to `3` elements of type `Half16NV`.
-> m () |

glMultiTexCoord4hNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `TextureUnit`.
-> GLhalfNV | `s` of type `Half16NV`.
-> GLhalfNV | `t` of type `Half16NV`.
-> GLhalfNV | `r` of type `Half16NV`.
-> GLhalfNV | `q` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord4hvNV`.

glMultiTexCoord4hvNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `TextureUnit`.
-> Ptr GLhalfNV | `v` pointing to `4` elements of type `Half16NV`.
-> m () |

glNormal3hNV

Arguments

:: MonadIO m |
=> GLhalfNV | `nx` of type `Half16NV`.
-> GLhalfNV | `ny` of type `Half16NV`.
-> GLhalfNV | `nz` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glNormal3hvNV`.

glNormal3hvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `v` pointing to `3` elements of type `Half16NV`.
-> m () |

glSecondaryColor3hNV

Arguments

:: MonadIO m |
=> GLhalfNV | `red` of type `Half16NV`.
-> GLhalfNV | `green` of type `Half16NV`.
-> GLhalfNV | `blue` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glSecondaryColor3hvNV`.

glSecondaryColor3hvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `v` pointing to `3` elements of type `Half16NV`.
-> m () |

glTexCoord1hNV

Arguments

:: MonadIO m |
=> GLhalfNV | `s` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glTexCoord1hvNV`.

glTexCoord1hvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `v` pointing to `1` element of type `Half16NV`.
-> m () |

glTexCoord2hNV

Arguments

:: MonadIO m |
=> GLhalfNV | `s` of type `Half16NV`.
-> GLhalfNV | `t` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glTexCoord2hvNV`.

glTexCoord2hvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `v` pointing to `2` elements of type `Half16NV`.
-> m () |

glTexCoord3hNV

Arguments

:: MonadIO m |
=> GLhalfNV | `s` of type `Half16NV`.
-> GLhalfNV | `t` of type `Half16NV`.
-> GLhalfNV | `r` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glTexCoord3hvNV`.

glTexCoord3hvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `v` pointing to `3` elements of type `Half16NV`.
-> m () |

glTexCoord4hNV

Arguments

:: MonadIO m |
=> GLhalfNV | `s` of type `Half16NV`.
-> GLhalfNV | `t` of type `Half16NV`.
-> GLhalfNV | `r` of type `Half16NV`.
-> GLhalfNV | `q` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glTexCoord4hvNV`.

glTexCoord4hvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `v` pointing to `4` elements of type `Half16NV`.
-> m () |

glVertex2hNV

Arguments

:: MonadIO m |
=> GLhalfNV | `x` of type `Half16NV`.
-> GLhalfNV | `y` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glVertex2hvNV`.

glVertex2hvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `v` pointing to `2` elements of type `Half16NV`.
-> m () |

glVertex3hNV

Arguments

:: MonadIO m |
=> GLhalfNV | `x` of type `Half16NV`.
-> GLhalfNV | `y` of type `Half16NV`.
-> GLhalfNV | `z` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glVertex3hvNV`.

glVertex3hvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `v` pointing to `3` elements of type `Half16NV`.
-> m () |

glVertex4hNV

Arguments

:: MonadIO m |
=> GLhalfNV | `x` of type `Half16NV`.
-> GLhalfNV | `y` of type `Half16NV`.
-> GLhalfNV | `z` of type `Half16NV`.
-> GLhalfNV | `w` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glVertex4hvNV`.

glVertex4hvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `v` pointing to `4` elements of type `Half16NV`.
-> m () |

glVertexAttrib1hNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLhalfNV | `x` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glVertexAttrib1hvNV`.

glVertexAttrib1hvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLhalfNV | `v` pointing to `1` element of type `Half16NV`.
-> m () |

glVertexAttrib2hNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLhalfNV | `x` of type `Half16NV`.
-> GLhalfNV | `y` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glVertexAttrib2hvNV`.

glVertexAttrib2hvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLhalfNV | `v` pointing to `2` elements of type `Half16NV`.
-> m () |

glVertexAttrib3hNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLhalfNV | `x` of type `Half16NV`.
-> GLhalfNV | `y` of type `Half16NV`.
-> GLhalfNV | `z` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glVertexAttrib3hvNV`.

glVertexAttrib3hvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLhalfNV | `v` pointing to `3` elements of type `Half16NV`.
-> m () |

glVertexAttrib4hNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLhalfNV | `x` of type `Half16NV`.
-> GLhalfNV | `y` of type `Half16NV`.
-> GLhalfNV | `z` of type `Half16NV`.
-> GLhalfNV | `w` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glVertexAttrib4hvNV`.

glVertexAttrib4hvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLhalfNV | `v` pointing to `4` elements of type `Half16NV`.
-> m () |

glVertexAttribs1hvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `n`.
-> Ptr GLhalfNV | `v` pointing to `n` elements of type `Half16NV`.
-> m () |

glVertexAttribs2hvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `n`.
-> Ptr GLhalfNV | `v` pointing to `n` elements of type `Half16NV`.
-> m () |

glVertexAttribs3hvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `n`.
-> Ptr GLhalfNV | `v` pointing to `n` elements of type `Half16NV`.
-> m () |

glVertexAttribs4hvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `n`.
-> Ptr GLhalfNV | `v` pointing to `n` elements of type `Half16NV`.
-> m () |

glVertexWeighthNV

Arguments

:: MonadIO m |
=> GLhalfNV | `weight` of type `Half16NV`.
-> m () |

The vector equivalent of this command is `glVertexWeighthvNV`.

glVertexWeighthvNV

Arguments

:: MonadIO m |
=> Ptr GLhalfNV | `weight` pointing to `1` element of type `Half16NV`.
-> m () |